Extending Qt Creator Manual | FileIconProvider Namespace

Extending Qt Creator Manual 4.11.2

# FileIconProvider Namespace

(Core::FileIconProvider)

## Functions

Core::Q_DECL_IMPORT | registerIconOverlayForMimeType(const class QIcon &icon, const QString &mimeType)
Core::Q_DECL_IMPORT | registerIconOverlayForMimeType(const QString &path, const QString &mimeType)
Core::Q_DECL_IMPORT | registerIconOverlayForSuffix(const QString &path, const QString &suffix)

## Function Documentation

### Core::Q_DECL_IMPORT FileIconProvider::registerIconOverlayForMimeType(const class QIcon &icon, const QString &mimeType)

Registers an icon for all the suffixes of a given mime type, overlaying the system file icon.

### Core::Q_DECL_IMPORT FileIconProvider::registerIconOverlayForMimeType(const QString &path, const QString &mimeType)

This is an overloaded function.

### Core::Q_DECL_IMPORT FileIconProvider::registerIconOverlayForSuffix(const QString &path, const QString &suffix)

Registers an icon for a given suffix, overlaying the system file icon. See platform note in class documentation about recommended usage.